package cn.minestar.agriculture.service.impl;

import cn.minestar.agriculture.entity.WxMiniUserLabel;
import cn.minestar.agriculture.mapper.WxMiniUserLabelMapper;
import cn.minestar.agriculture.service.IWxMiniUserLabelService;
import cn.minestar.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author www.minestar.cn/
 * @date 2021-08-12
 */
@Service
public class WxMiniUserLabelServiceImpl implements IWxMiniUserLabelService
{
    @Autowired
    private WxMiniUserLabelMapper wxMiniUserLabelMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public WxMiniUserLabel selectWxMiniUserLabelById(Long id)
    {
        return wxMiniUserLabelMapper.selectWxMiniUserLabelById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param wxMiniUserLabel 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<WxMiniUserLabel> selectWxMiniUserLabelList(WxMiniUserLabel wxMiniUserLabel)
    {
        return wxMiniUserLabelMapper.selectWxMiniUserLabelList(wxMiniUserLabel);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param wxMiniUserLabel 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertWxMiniUserLabel(WxMiniUserLabel wxMiniUserLabel)
    {
        wxMiniUserLabel.setCreateTime(DateUtils.getNowDate());
        return wxMiniUserLabelMapper.insertWxMiniUserLabel(wxMiniUserLabel);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param wxMiniUserLabel 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateWxMiniUserLabel(WxMiniUserLabel wxMiniUserLabel)
    {
        wxMiniUserLabel.setUpdateTime(DateUtils.getNowDate());
        return wxMiniUserLabelMapper.updateWxMiniUserLabel(wxMiniUserLabel);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteWxMiniUserLabelByIds(Long[] ids)
    {
        return wxMiniUserLabelMapper.deleteWxMiniUserLabelByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteWxMiniUserLabelById(Long id)
    {
        return wxMiniUserLabelMapper.deleteWxMiniUserLabelById(id);
    }
}
